package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaApplication;
import com.ruoyi.oa.domain.vo.OaApplicationVo;
import com.ruoyi.oa.domain.bo.OaApplicationBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 应用集成Service接口
 *
 * @author ruoyi
 * @date 2025-06-14
 */
public interface IOaApplicationService {

    /**
     * 查询应用集成
     */
    OaApplicationVo queryById(Long applicationId);

    /**
     * 查询应用集成列表
     */
    TableDataInfo<OaApplicationVo> queryPageList(OaApplicationBo bo, PageQuery pageQuery);

    /**
     * 查询应用集成列表
     */
    List<OaApplicationVo> queryList(OaApplicationBo bo);

    /**
     * 新增应用集成
     */
    Boolean insertByBo(OaApplicationBo bo);

    /**
     * 修改应用集成
     */
    Boolean updateByBo(OaApplicationBo bo);

    /**
     * 校验并批量删除应用集成信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
